Bug 198317 - [NEW PORT] x11/tint-devel
Summary: [NEW PORT] x11/tint-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Johannes Jost Meixner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-05 15:50 UTC by yamagi
Modified: 2015-04-02 12:29 UTC (History)
1 user (show)

See Also:


Attachments
The new port (5.18 KB, text/plain)
2015-03-05 15:50 UTC, yamagi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description yamagi 2015-03-05 15:50:22 UTC
Created attachment 153839 [details]
The new port

I'm the maintainer of x11/tint. After stalled for several years, the development of the tint2 took flight again late last year. Since then I was asked by several users if I can build a port of the development version. Attached is a shar file with a new port x11/tint-devel which correspondents to SVN revision r727.

Notable changes between tint and tint-devel are:
- A lot of bugfixes
- A better configuration utility
- Icons can be manipulated
- Drag and drop support
- Startup Notification support

I went with a full port and not a slave port, since both are quite simple and it's likely that tint and tint-devel will continue to diverge in the next month. Of course I'll continue to update the port when appropriate.
Comment 1 yamagi 2015-03-30 18:22:37 UTC
No one?
Comment 2 Johannes Jost Meixner freebsd_committer 2015-03-31 11:16:27 UTC
I'll take it.
Comment 3 commit-hook freebsd_committer 2015-04-02 12:25:49 UTC
A commit references this bug:

Author: xmj
Date: Thu Apr  2 12:25:08 UTC 2015
New revision: 382998
URL: https://svnweb.freebsd.org/changeset/ports/382998

Log:
  x11/tint-devel:	add port

  Tint is a simple panel/taskbar/systray intentionally made for openbox3,
  but should also work with other window managers. The goal is to keep a
  clean and unintrusive look with lightweight code and compliance with
  freedesktop specifications.

  Tint taskbar features
      * color/transparency on font, icon, border and background
      * customize mouse event
      * drag and drop task between desktop and switch desktop

  Tint panel features
      * clock with font, color and transparency
      * multi-monitor : panel position adjust to monitor, taskbar by monitor

  This is the development version. It has some cool new features, but also
  may have some bugs.

  WWW: http://code.google.com/p/tint2/

  PR:		198317
  Differential Revision:	https://reviews.freebsd.org/D2180
  Submitted by:	Yamagi@yamagi.org
  Approved by:	koobs (mentor)

Changes:
  head/x11/Makefile
  head/x11/tint-devel/
  head/x11/tint-devel/Makefile
  head/x11/tint-devel/distinfo
  head/x11/tint-devel/pkg-descr
  head/x11/tint-devel/pkg-plist
Comment 4 Johannes Jost Meixner freebsd_committer 2015-04-02 12:29:09 UTC
Committed, with minor changes. Thanks!